@import "../00-settings/settings";

.o-form {
  display: flex;
  flex-direction: column;
  background-color: rgba($color-blue, 0.2);
  justify-content: center;
  align-items: center;
  width: 100%;
  margin: auto;
  padding: 20px;
  border-radius: 5px;
  -webkit-box-shadow: $default-shadow;
  box-shadow: $default-shadow;

  .mat-form-field {
    width: 50%;
    position: static;
    cursor: pointer;
  }

  .mat-form-field-underline, .mat-form-field-subscript-wrapper {
    display: none;
  }

  .mat-form-field-wrapper {
    position: static;
  }

  mat-card-actions {
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
  }

  table {
    width: 100%;
  }

  .mat-form-field {
    font-size: 14px;
    width: 100%;
  }

  .form-footer {
    margin-top: 20px;
  }

  td, th {
    width: 0;

    a {
      color: $color-blue;
      text-decoration: underline;
    }
  }
}
